## BtIcInputDevice BtIcInputDevice — buzztards interaction controller input device |

## Synopsis

    #include <libbtic/ic.h>

                        BtIcInputDevice;
    BtIcInputDevice *   btic_input_device_new               (const gchar *udi,
                                                             const gchar *name,
                                                             const gchar *devnode);

## Object Hierarchy

      GObject
       +----BtIcDevice
             +----BtIcInputDevice

## Properties

      "devnode"                  gchar*                : Read / Write / Construct Only

## Description

Event handling for input devices (joystick,hdaps,wiimote).

## Details

### BtIcInputDevice

    typedef struct _BtIcInputDevice BtIcInputDevice;

buzztards interaction controller registry

### btic_input_device_new ()

    BtIcInputDevice *   btic_input_device_new               (const gchar *udi,
                                                             const gchar *name,
                                                             const gchar *devnode);

Create a new instance

`udi` : | the udi of the device
`name` : | human readable name
`devnode` : | device node in filesystem
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"devnode"` property

      "devnode"                  gchar*                : Read / Write / Construct Only

device node path.

Default value: NULL